com.marklogic.xcc

## Class ContentCapability

- java.lang.Object
- - com.marklogic.xcc.ContentCapability

-     public final class ContentCapability
      extends java.lang.Object

  A typesafe enumeration class defining permission capability values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ContentCapability` | `EXECUTE` Execution is allowed
    `static ContentCapability` | `INSERT` Inserts are allowed
    `static ContentCapability` | `NODE_UPDATE` Note updates are allowed
    `static ContentCapability` | `READ` Reads are allowed
    `static ContentCapability` | `UPDATE` Updates are allowed

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSymbol()` Used internally.
    `java.lang.String` | `toString()` A human-readable name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### READ

          public static final ContentCapability READ

      Reads are allowed

    - #### INSERT

          public static final ContentCapability INSERT

      Inserts are allowed

    - #### UPDATE

          public static final ContentCapability UPDATE

      Updates are allowed

    - #### EXECUTE

          public static final ContentCapability EXECUTE

      Execution is allowed

    - #### NODE_UPDATE

          public static final ContentCapability NODE_UPDATE

      Note updates are allowed

  - ### Method Detail

    - #### getSymbol

          public java.lang.String getSymbol()

      Used internally.
      Returns:
        A single-char encoding symbol.

    - #### toString

          public java.lang.String toString()

      A human-readable name.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String name for this capability.

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com